%define module msrplib

Name:           python-%{module}
Version:        0.18.0
Release:        %mkrel 1
Summary:        MSRP client library
Group:          Development/Python
License:        GPLv2
URL:            http://download.ag-projects.com/MSRP/
Source0:        http://download.ag-projects.com/MSRP/python-%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
Message Session Relay Protocol (MSRP) is a protocol for transmitting a
series of related instant messages in the context of a session. Message
sessions are treated like any other media stream when set up via a
rendezvous or session creation protocol such as the Session Initiation
Protocol (SIP).

A series of related instant messages between two or more parties can be
viewed as part of a "message session", that is, a conversational exchange of
messages with a definite beginning and end. This is in contrast to
individual messages each sent independently. Messaging schemes that track
only individual messages can be described as "page-mode" messaging, whereas
messaging that is part of a "session" with a definite start and end is
called "session-mode" messaging.

Page-mode messaging is enabled in SIP via the SIP MESSAGE method, as defined
in RFC 3428. Session-mode messaging has a number of benefits over page-mode
messaging, however, such as explicit rendezvous, tighter integration with
other media-types, direct client-to-client operation, and brokered privacy
and security

%package -n python3-%{module}
Summary:        MSRP client library
Group:          Development/Python
Requires:       python3
BuildArch:      noarch

%description -n python3-%{module}
MSRP client library

%prep
%setup -q 

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%__rm -rf %buildroot
%__python setup.py install --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot}
popd

%files
%defattr(-,root,root,-)
%doc
%{python_sitelib}/%{module}/
%{python_sitelib}/*%{module}*.egg-info

%files -n python3-%{module}
%doc
%{python3_sitelib}/%{module}/
%{python3_sitelib}/*%{module}*.egg-info


%changelog
* Mon Sep 07 2015 Ken <lxgator at gmail.com> 0.18.0-1pclos2015
- Initial pkg
